Bug 537631 - Review Request: moblin-panel-web - Moblin Panel for Web Browsing
Review Request: moblin-panel-web - Moblin Panel for Web Browsing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
: 540695 (view as bug list)
Depends On:
Blocks: MeeGo1
  Show dependency treegraph
 
Reported: 2009-11-15 04:45 EST by Peter Robinson
Modified: 2010-03-15 09:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 09:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chkr: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-11-15 04:45:22 EST
SPEC: http://pbrobinson.fedorapeople.org/moblin-panel-web.spec
SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-web-0.1.4-1.fc12.src.rpm

Description:
Moblin internet panel for use with the Moblin Web Browser.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1807344
Comment 1 Christian Krause 2009-11-16 18:11:02 EST
Before I do the full review here are some issues I've seen so far:

1. the Source0 URL seems to be not working, the server returns "404 Not found" (probably we should ask upstream to tag the releases in git ;-) )

IMHO it would be better to use only the file name as Source0 (the complete URL could be kept in a comment for later when upstream has tagged the releases) - otherwise it is misleading...

2. it looks like that the BR xulrunner-devel is not needed

3. are you planning to package the moblin web browser as well? In this case I would recommend that moblin-panel-web requires the moblin-web-browser (otherwise it just won't do anything... ;-) )

4. regarding the License I'm not sure: the sources in common/ are LGPLv2.1 but the main application seems to be GPLv2+ - I've asked on the fedora-legal mailing list for clarification...

I'm really looking forward to get a full moblin UI for Fedora! ;-)
Comment 2 Peter Robinson 2009-11-16 18:19:40 EST
(In reply to comment #1)
> Before I do the full review here are some issues I've seen so far:
> 
> 1. the Source0 URL seems to be not working, the server returns "404 Not found"
> (probably we should ask upstream to tag the releases in git ;-) )

Yes, your correct. See the two lines at the top of the spec file to create the tar file.

> IMHO it would be better to use only the file name as Source0 (the complete URL
> could be kept in a comment for later when upstream has tagged the releases) -
> otherwise it is misleading...

Yes, I meant to update it as that URL is in my Moblin spec template.

> 2. it looks like that the BR xulrunner-devel is not needed

Oh!

> 3. are you planning to package the moblin web browser as well? In this case I
> would recommend that moblin-panel-web requires the moblin-web-browser
> (otherwise it just won't do anything... ;-) )

Yes, Its in progress and I believe in the mean time it will use the default browser instead so in the short term it will still be useful when used with Firefox.

> 4. regarding the License I'm not sure: the sources in common/ are LGPLv2.1 but
> the main application seems to be GPLv2+ - I've asked on the fedora-legal
> mailing list for clarification...

I'll clarify with upstream. I looked in common and what was in the upstream Moblin specfile. I suspect its a mix of both because of what the other moblin-panel packages use.

> I'm really looking forward to get a full moblin UI for Fedora! ;-)  

Me too!
Comment 3 Christian Krause 2009-11-20 16:46:15 EST
(In reply to comment #2)
> (In reply to comment #1)
> > 3. are you planning to package the moblin web browser as well? In this case I
> > would recommend that moblin-panel-web requires the moblin-web-browser
> > (otherwise it just won't do anything... ;-) )
> 
> Yes, Its in progress and I believe in the mean time it will use the default
> browser instead so in the short term it will still be useful when used with
> Firefox.

I've tested the package on my netbook, but unfortunately when using the URL bar nothing happens at all. I've checked netpanel/moblin-netbook-netpanel.c and it looks like that it tries to start "moblin-web-browser" explicitly. Do you plan to package the moblin-web-browser soon so that both packages can be tested together? ;-)

> > 4. regarding the License I'm not sure: the sources in common/ are LGPLv2.1 but
> > the main application seems to be GPLv2+ - I've asked on the fedora-legal
> > mailing list for clarification...
> 
> I'll clarify with upstream. I looked in common and what was in the upstream
> Moblin specfile. I suspect its a mix of both because of what the other
> moblin-panel packages use.

According to the response from Tom Callaway on the fedora-legal list ( https://www.redhat.com/archives/fedora-legal-list/2009-November/msg00027.html ) you can either mention both licenses or just use "GPLv2+".
Comment 4 Peter Robinson 2009-11-24 12:38:40 EST
*** Bug 540695 has been marked as a duplicate of this bug. ***
Comment 5 Rudolf Kastl 2009-12-11 04:30:11 EST
actually i dont see how this can be packaged without the moblin web browser because it is supposed to Require it. not having a requires on it is a packaging bug.
Comment 6 Peter Robinson 2009-12-11 04:34:45 EST
(In reply to comment #5)
> actually i dont see how this can be packaged without the moblin web browser
> because it is supposed to Require it. not having a requires on it is a
> packaging bug.  

Its in progess
Comment 7 Peter Robinson 2010-03-15 09:40:19 EDT
Closing while waiting to see the fall out from the meego merger. It will probably return as meego-panel-web if my estimations are correct.

Note You need to log in before you can comment on or make changes to this bug.